=== debian/control ===
Source: ros-kinetic-abb-rapid-sm-addin-msgs
Section: misc
Priority: optional
Maintainer: Jon Tjerngren <jon.tjerngren@se.abb.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-abb-rapid-msgs, ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-abb-rapid-sm-addin-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-abb-rapid-msgs, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Provides ROS message and service definitions, representing interaction with ABB robot controllers using the RobotWare StateMachine Add-In.
